Subject: [v6ops] Happy eyeballs - P value

From: Rashmi <[email-masked]>
Date: Thu, 17 Feb 2011 14:59:18 +0100

Hello,

I am Rashmi, a Master's thesis student at KTH, Stockholm. I am doing a 
thesis on implementing "happy eyeballs" on "Name-based sockets".
To start with, I have managed to get both IPv6 and IPv4 addresses from 
the DNS server and successfully establish a TCP connection to both of 
them. To send data, I use the connection which gets connected first.
However, I failed to understand the advantage of having a variable "P" 
(mentioned on Page 6 of "Happy Eyeballs: Trending Towards Success with 
Dual-Stack draft-wing-v6ops-happy-eyeballs-ipv6-01").
If we do not have a persistent connection, then what purpose does the 
value of variable "P" server? Please explain.

Thanks.

-- 
Regards,
Rashmi Purushothama
Master Student, KTH, Stockholm